(*
 * Interpreter for F - Elaboration
 *
 * 2000/02/02 Andreas Rossberg
 *)


signature Elab =
  sig
    datatype error = IdUnbound of Syntax.id
		   | IfConditionNotBool
		   | IfBranchesMismatch
		   | AppNoFunction
		   | AppArgumentMismatch

    exception Error of error

    val elab: Type.typ Env.env -> Syntax.exp -> Type.typ	(* Error *)
  end
