(*
 * Interpreter for F - Tokens
 *
 * 2000/02/02 Andreas Rossberg
 *)


structure Token =
  struct
    datatype token =
	  ID  of string		(* identifier *)
	| CON of int		(* constant *)
	| IF			(* `if' *)
	| THEN			(* `then' *)
	| ELSE			(* `else' *)
	| FN			(* `fn' *)
	| COLON			(* `:' *)
	| DARROW		(* `=>' *)
	| LPAR			(* `(' *)
	| RPAR			(* `)' *)
	| BOOL			(* `bool' *)
	| INT			(* `int' *)
	| ARROW			(* `->' *)
  end
