(*
 * Interpreter for F - Environments
 *
 * 2000/02/02 Andreas Rossberg
 *)


signature Env =
  sig
    type id = Syntax.id
    type 'a env

    exception Unbound of id

    val empty:	'a env
    val insert:	id * 'a * 'a env -> 'a env
    val lookup:	id * 'a env -> 'a		(* Unbound *)
    val ++ :	'a env * 'a env -> 'a env
  end
